Skip to main content
GET
/
connect
/
v1
/
connections
/
{connectionId}
/
sailings
/
{sailingExternalId}
/
promotions
List sailing promotions
curl --request GET \
  --url https://api.voyant.travel/connect/v1/connections/{connectionId}/sailings/{sailingExternalId}/promotions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "discount": {
        "type": "percentage",
        "value": 123,
        "amountMinor": 123,
        "currency": "<string>"
      },
      "eligibility": {
        "markets": [
          "<string>"
        ],
        "bookingWindowStart": "2023-12-25",
        "bookingWindowEnd": "2023-12-25"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

connectionId
string
required

Connection id.

sailingExternalId
string
required

Response

200 - application/json

Promotions.

data
object[]